﻿using Microsoft.Phone.Controls;
using System.Windows.Navigation;

namespace DemoNavigation
{
    public partial class ArticleView2 : PhoneApplicationPage
    {
        public ArticleView2()
        {
            InitializeComponent();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            string indexStr;
            if (NavigationContext.QueryString.TryGetValue("index", out indexStr))
            {
                int index = int.Parse(indexStr);
                Article currentArticle = Model.GetArticles()[index];
                PageTitle.Text = currentArticle.Nom;
                date.Text = currentArticle.DatePublication.ToShortDateString();
                contenu.Text = currentArticle.Contenu;
            }
            base.OnNavigatedTo(e);
        }
    }
}