﻿using Microsoft.Phone.Controls;
using System.Collections.ObjectModel;
using System.Windows.Controls;
using System;

namespace DemoNavigation
{
    public partial class NavigationQuery : PhoneApplicationPage
    {
        private ObservableCollection<Article> articles;

        public NavigationQuery()
        {
            InitializeComponent();

            articles = new ObservableCollection<Article>();
            foreach (Article article in Model.GetArticles())
            {
                articles.Add(article);
            }

            listBox.ItemsSource = articles;
        }

        private void listBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            NavigationService.Navigate(new Uri("/ArticleView2.xaml?index=" + listBox.SelectedIndex, UriKind.Relative));
        }
    }
}