﻿using Microsoft.Phone.Controls;
using System.Windows.Navigation;
using Microsoft.Phone.Shell;

namespace DemoNavigation
{
    public partial class ArticleView : PhoneApplicationPage
    {
        public ArticleView()
        {
            InitializeComponent();
        }

        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            Article currentArticle = (Article)PhoneApplicationService.Current.State["Article"];

            PageTitle.Text = currentArticle.Nom;
            date.Text = currentArticle.DatePublication.ToShortDateString();
            contenu.Text = currentArticle.Contenu;
            base.OnNavigatedTo(e);
        }
    }
}